TerminalTypeOptionHandler
Date: 2016-06-23

org.apache.commons.net.telnet

## Class TerminalTypeOptionHandler

- java.lang.Object
- - org.apache.commons.net.telnet.TelnetOptionHandler
  - - org.apache.commons.net.telnet.TerminalTypeOptionHandler

-     public class TerminalTypeOptionHandler
      extends TelnetOptionHandler

  Implements the telnet terminal type option RFC 1091.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `TERMINAL_TYPE` Terminal type option
    `protected static int` | `TERMINAL_TYPE_IS` Is (for subnegotiation)
    `protected static int` | `TERMINAL_TYPE_SEND` Send (for subnegotiation)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TerminalTypeOptionHandler(java.lang.String termtype)` Constructor for the TerminalTypeOptionHandler.
    `TerminalTypeOptionHandler(java.lang.String termtype, boolean initlocal, boolean initremote, boolean acceptlocal, boolean acceptremote)` Constructor for the TerminalTypeOptionHandler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `answerSubnegotiation(int[] suboptionData, int suboptionLength)` Implements the abstract method of TelnetOptionHandler.

    - ### Methods inherited from class org.apache.commons.net.telnet.TelnetOptionHandler

      `getAcceptLocal, getAcceptRemote, getInitLocal, getInitRemote, getOptionCode, setAcceptLocal, setAcceptRemote, setInitLocal, setInitRemote, startSubnegotiationLocal, startSubnegotiationRemote`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TERMINAL_TYPE

          protected static final int TERMINAL_TYPE

      Terminal type option
      See Also:
        Constant Field Values

    - #### TERMINAL_TYPE_SEND

          protected static final int TERMINAL_TYPE_SEND

      Send (for subnegotiation)
      See Also:
        Constant Field Values

    - #### TERMINAL_TYPE_IS

          protected static final int TERMINAL_TYPE_IS

      Is (for subnegotiation)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TerminalTypeOptionHandler

          public TerminalTypeOptionHandler(java.lang.String termtype,
                                   boolean initlocal,
                                   boolean initremote,
                                   boolean acceptlocal,
                                   boolean acceptremote)

      Constructor for the TerminalTypeOptionHandler. Allows defining desired initial setting for local/remote activation of this option and behaviour in case a local/remote activation request for this option is received.

      Parameters:
        `termtype` - - terminal type that will be negotiated.
        `initlocal` - - if set to true, a WILL is sent upon connection.
        `initremote` - - if set to true, a DO is sent upon connection.
        `acceptlocal` - - if set to true, any DO request is accepted.
        `acceptremote` - - if set to true, any WILL request is accepted.

    - #### TerminalTypeOptionHandler

          public TerminalTypeOptionHandler(java.lang.String termtype)

      Constructor for the TerminalTypeOptionHandler. Initial and accept behaviour flags are set to false

      Parameters:
        `termtype` - - terminal type that will be negotiated.

  - ### Method Detail

    - #### answerSubnegotiation

          public int[] answerSubnegotiation(int[] suboptionData,
                                   int suboptionLength)

      Implements the abstract method of TelnetOptionHandler.

      Overrides:
        `answerSubnegotiation` in class `TelnetOptionHandler`
      Parameters:
        `suboptionData` - - the sequence received, without IAC SB & IAC SE
        `suboptionLength` - - the length of data in suboption_data

      Returns:
        terminal type information